Bug 15933 - Add cataloguing plugin to search for existing publishers in other records
Summary: Add cataloguing plugin to search for existing publishers in other records
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2016-02-29 09:06 UTC by Suresh Kumar
Modified: 2020-09-18 09:53 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 15933: Add cataloguing plugin to search for existing publishers in other records (3.48 KB, patch)
2020-07-13 19:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23682: DBRev 20.06.00.035 (2.93 KB, patch)
2020-09-15 14:02 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 15933: Add cataloguing plugin to search for existing publishers in other records (3.63 KB, patch)
2020-09-15 20:32 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Suresh Kumar 2016-02-29 09:06:10 UTC
Hi,

As in the serials module there is an option to search for an existing vendor and add the vendor code while creating a new one, I could not find an option to search for a publishercode. If this is available the data entry part of the publishercode will be very uniform throughout the cataloging entries.

I could not find this option any where hence posting it here. 

Regards
Suresh Kumar
Comment 1 Katrin Fischer 2016-02-29 21:49:27 UTC
I think this might be a good question for the mailing list - to find out how other libraries handle publishers. In the standard, there are no authority files for publishers, but I think some libraries might still use them. There might also be a cataloguing plugin that could be useful.
Comment 2 Owen Leonard 2020-07-13 19:27:58 UTC
Created attachment 106851 [details] [review]
Bug 15933: Add cataloguing plugin to search for existing publishers in other records

This patch adds a new cataloging plugin for MARC21 installations,
marc21_field-260b.pl. When enabled it provides autocomplete for
publisher name, pulling existing data from biblioitems.publishercode.

To test, apply the patch and enable the plugin:

- Go to Administration -> MARC bibliographic framework -> MARC structure
  -> 260 -> Edit subfields -> Subfield b -> Other options.
- Set "Plugin" to marc21_field_260b.pl.
- Go to Cataloging and edit or create a record.
- Under tab 2 click the field for 260$b. Start typing a publisher name.
  A dropdown should appear with matching publishers.
- Selecting one of the results should populate the form field with that
  information.
Comment 3 Suresh Kumar 2020-07-15 15:12:50 UTC
Hi,

I just tried this in my test installation at home and is working fine.
Installed version is 19.11.07.000.

Thank you very much. This is of great help to me.
Comment 4 Katrin Fischer 2020-07-18 15:48:56 UTC
(In reply to Suresh Kumar from comment #3)
> Hi,
> 
> I just tried this in my test installation at home and is working fine.
> Installed version is 19.11.07.000.
> 
> Thank you very much. This is of great help to me.

Hi Suresh, you could sign this off using the sandboxes, helping to ensure that this will be shipped in Koha with your next update:

https://wiki.koha-community.org/wiki/Sandboxes
Comment 5 Suresh Kumar 2020-07-20 13:26:57 UTC
(In reply to Katrin Fischer from comment #4)
> (In reply to Suresh Kumar from comment #3)
> > Hi,
> > 
> > I just tried this in my test installation at home and is working fine.
> > Installed version is 19.11.07.000.
> > 
> > Thank you very much. This is of great help to me.
> 
> Hi Suresh, you could sign this off using the sandboxes, helping to ensure
> that this will be shipped in Koha with your next update:
> 
> https://wiki.koha-community.org/wiki/Sandboxes

Hi,

Tried to do, but could not complete as the sandbox i tried is giving error.

Software error:
{UNKNOWN}: DBIx::Class::ResultSource::column_info(): No such column item_level_hold at /home/koha/src/Koha/Schema/Result/Reserve.pm line 316
Compilation failed in require at /usr/share/perl5/Class/C3/Componentised.pm line 150. at /usr/share/perl5/Class/C3/Componentised.pm line 155
For help, please send mail to the webmaster ([no address given]), giving this error message and the time and date of the error.

Software error:
Comment 6 Katrin Fischer 2020-09-13 10:33:00 UTC
As this patch does not touch the holds code, I think something else went wrong in Suresh's testing. I've made sure this still applies.
Comment 7 PTFS Europe Sandboxes 2020-09-15 14:02:49 UTC
Created attachment 110110 [details] [review]
Bug 23682: DBRev 20.06.00.035

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 8 Katrin Fischer 2020-09-15 16:16:14 UTC
Hi Sally, I can see your sign-off line - switching status.
Comment 9 Katrin Fischer 2020-09-15 20:15:13 UTC
It looks like something went wrong here with the sandboxes, I'll fix.
Comment 10 Katrin Fischer 2020-09-15 20:32:28 UTC
Created attachment 110126 [details] [review]
Bug 15933: Add cataloguing plugin to search for existing publishers in other records

This patch adds a new cataloging plugin for MARC21 installations,
marc21_field-260b.pl. When enabled it provides autocomplete for
publisher name, pulling existing data from biblioitems.publishercode.

To test, apply the patch and enable the plugin:

- Go to Administration -> MARC bibliographic framework -> MARC structure
  -> 260 -> Edit subfields -> Subfield b -> Other options.
- Set "Plugin" to marc21_field_260b.pl.
- Go to Cataloging and edit or create a record.
- Under tab 2 click the field for 260$b. Start typing a publisher name.
  A dropdown should appear with matching publishers.
- Selecting one of the results should populate the form field with that
  information.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Also works with 264$b.
Comment 11 Jonathan Druart 2020-09-18 09:53:14 UTC
Pushed to master for 20.11, thanks to everybody involved!